# How to Create a New Deployment use CLI

{% hint style="success" %}
For more information, you need to download the preconfig cube through the Deka GPU Service Portal, click [this link](/deka-gpu/deka-gpu-kubernetes/dashboard/download-kube-config.md).
{% endhint %}

{% hint style="success" %}
To set up the kubeconfig, you need `kubectl` that matches your computer's operating system. If you are using [Windows](https://docs.cloudeka.ai/miscellaneous/reference/how-to-use-kubeconfig-on-windows), click this link, and if you are using Linux, click [this link](https://docs.cloudeka.ai/miscellaneous/reference/how-to-use-kubeconfig-on-linux).
{% endhint %}

To create a Deployment through the CLI by running the following syntax.

```bash
nano deployment.yaml
```

The deployment.yaml file page appears automatically and includes the following lines of code. You can customize the name, and namespaces.

```yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: deployment-1xfox
  namespace: default
  labels:
    app: nginx
spec:
  replicas: 1
  selector:
    matchLabels:
      app: nginx
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
        - name: nginx
          image: nginx
          ports:
            - containerPort: 80
```

To apply the configuration to pod.yaml , you need to run the following syntax.

```bash
kubectl apply -f deployment.yaml
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudeka.ai/deka-gpu/deka-gpu-kubernetes/workloads/deployments/how-to-create-a-new-deployment-use-cli.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
